Subject: Re: Integrating IXP4xx NPE support in kernel (with IXP4xx accesslibrary)

From: Deepak Saxena <[email-masked]>
Date: Tue, 27 Dec 2005 15:11:07 -0800

On Dec 27 2005, at 15:08, Krzysztof Halasa was caught saying:
> jamal <[email-masked]> writes:
> 
> > No experience with the 4xx but some with the other intel NPs.
> > Is the driver a "dual stack" approach that Intel typically
> > has?
> 
> No, the Ethernet driver is Linux-only and uses the access library.
> Both are crap BTW, the library is much worse.
> 
> Actually I think the whole library needs to be rewritten from (almost)
> scratch (resulting in 5% or less code), and the Ethernet driver wouldn't
> be a problem then. The BSD-licensed version would of course help.
> 
> > Intel should be able to fund you to rewrite it - convincing them
> > they are going to sell more chips this way seems to be not too
> > hard, no?
> 
> Any Intel contacts interested? I could possibly earn some money as
> well :-)

Good luck. I've been working closely with Intel on the kernel side of the
IXP for 3 years now and the only business person in that division that 
understood the benefits of the going to GPL and how the Linux world works
is no longer there. From their point of view, it is simpler to have a single
codebase shared among VxWorks, WinCE, Linux, and QNX (?) than to have a 
separate Linux version.

~Deepak

-- 
Deepak Saxena - [email-masked] - http://www.plexity.net

A starving child in Africa or you in front of your TV?
Where's the real tragedy?

-------------------------------------------------------------------
List admin: http://lists.arm.linux.org.uk/mailman/listinfo/linux-arm-kernel
FAQ:        http://www.arm.linux.org.uk/mailinglists/faq.php
Etiquette:  http://www.arm.linux.org.uk/mailinglists/etiquette.php